package com.miaxis.app.report.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.miaxis.app.report.domain.ReportImages;

/**
 * 用户照片Mapper接口
 *
 * @author miaxis
 * @date 2021-01-06
 */
public interface ReportImagesMapper extends BaseMapper<ReportImages> {
    /**
     * 查询用户照片
     *
     * @param id 用户照片ID
     * @return 用户照片
     */
    public ReportImages selectReportImagesById(Long id);

    /**
     * 查询用户照片列表
     *
     * @param reportImages 用户照片
     * @return 用户照片集合
     */
    public List<ReportImages> selectReportImagesList(ReportImages reportImages);

    /**
     * 新增用户照片
     *
     * @param reportImages 用户照片
     * @return 结果
     */
    public int insertReportImages(ReportImages reportImages);

    /**
     * 修改用户照片
     *
     * @param reportImages 用户照片
     * @return 结果
     */
    public int updateReportImages(ReportImages reportImages);

    /**
     * 删除用户照片
     *
     * @param id 用户照片ID
     * @return 结果
     */
    public int deleteReportImagesById(Long id);

    /**
     * 批量删除用户照片
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteReportImagesByIds(Long[] ids);
}
